Votre question

probleme gtk +

Tags :
  • Config PC
  • Système d'exploitation
Dernière réponse : dans Systèmes d'exploitation
15 Avril 2007 03:34:59

slt la companie,

g installer glib 2.12.11 pour installer gtk+ 10.12.11, jusque la tou va bien. Mais apres, qd je configure gtk+ voila ce kon me di :

checking for GLIB - version >= 2.12.0...
*** 'pkg-config --modversion glib-2.0' returned 2.12.11, but GLIB (2.10.3)
*** was found! If pkg-config was correct, then it is best
*** to remove the old version of GLib. You may also be able to fix the error
*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing
*** /etc/ld.so.conf. Make sure you have run ldconfig if that is
*** required on your system.
*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH
*** to point to the correct configuration files
no
configure: error:
*** GLIB 2.12.0 or better is required. The latest version of
*** GLIB is always available from ftp://ftp.gtk.org/pub/gtk/.
root@h973pc1:/home/hacker973/Desktop/gtk+-2.10.11#

si quelqun a la solution sa serai cool

davance je vous remerci.

Autres pages sur : probleme gtk

15 Avril 2007 04:54:35

Quelle distrib ?
Qu'as tu dans /etc/ld.so.conf ?
Contenus similaires
15 Avril 2007 19:00:56

et maintenen ke g reussi a configurer i me di sa lor du make :

gcc -DHAVE_CONFIG_H -I. -I. -I../../.. -I../../.. -I../../../gdk -I../../../gdk -DG_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -pthread -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/pango-1.0 -I/usr/include/freetype2 -I/usr/local/include/atk-1.0 -I/usr/include/pango-1.0 -g -O2 -Wall -MT pixbuf-draw.lo -MD -MP -MF .deps/pixbuf-draw.Tpo -c pixbuf-draw.c -fPIC -DPIC -o .libs/pixbuf-draw.o
In file included from ../../../gtk/gtk.h:60,
from pixbuf.h:23,
from pixbuf-draw.c:28:
../../../gtk/gtkclist.h:155: error: syntax error before 'GMemChunk'
../../../gtk/gtkclist.h:155: warning: no semicolon at end of struct or union
../../../gtk/gtkclist.h:156: warning: type defaults to 'int' in declaration of 'cell_mem_chunk'
../../../gtk/gtkclist.h:156: warning: data definition has no type or storage class
../../../gtk/gtkclist.h:245: error: syntax error before '}' token
In file included from ../../../gtk/gtk.h:68,
from pixbuf.h:23,
from pixbuf-draw.c:28:
../../../gtk/gtkctree.h:110: error: field 'clist' has incomplete type
In file included from ../../../gtk/gtk.h:152,
from pixbuf.h:23,
from pixbuf-draw.c:28:
../../../gtk/gtkstatusbar.h:68: error: syntax error before 'GMemChunk'
../../../gtk/gtkstatusbar.h:68: warning: no semicolon at end of struct or union
../../../gtk/gtkstatusbar.h:82: error: syntax error before '}' token
make[4]: *** [pixbuf-draw.lo] Error 1
make[4]: Leaving directory `/home/benj/Desktop/tmp/gtk+-2.6.7/modules/engines/pixbuf'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/benj/Desktop/tmp/gtk+-2.6.7/modules/engines'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/benj/Desktop/tmp/gtk+-2.6.7/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/benj/Desktop/tmp/gtk+-2.6.7'
make: *** [all] Error 2


aider moi please :sarcastic: 
16 Avril 2007 10:36:40

Il est dangereux, de mettre une GLIB* supplémentaire si l'on ne sait pas comment faire.

GLIB* : GLIB, GLIBC,....
19 Avril 2007 12:53:24

Les deux glib peuvent induire des problèmes de concurrence entre elles !
Et au final, casser le système !
19 Avril 2007 23:38:15

oui mais commen pouvoir installer gtk + ds c kondition , komen deleter glib?
20 Avril 2007 00:34:26

Pourquoi installer un autre gtk et par les sources !
Alors que tu as Ubuntu 6.06 !
Pourquoi ne pas mettre en upgrade 6.06 --> 6.10..?
Tom's guide dans le monde
  • Allemagne
  • Italie
  • Irlande
  • Royaume Uni
  • Etats Unis
Suivre Tom's Guide
Inscrivez-vous à la Newsletter
  • ajouter à twitter
  • ajouter à facebook
  • ajouter un flux RSS